E-MailRelay

Classes | Public Types | Public Member Functions | List of all members
GSmtp::Verifier Class Referenceabstract

An asynchronous interface that verifies recipient 'to' addresses. More...

`#include <gverifier.h>`

Inheritance diagram for GSmtp::Verifier:
[legend]

## Classes
struct | Config
| Configuration passed to address verifier constructors. More...
struct | Request
| Verification request passed to various GSmtp::Verifier::verify() overrides. More...

## Public Types
enum class | Command { VRFY , RCPT }

## Public Member Functions
virtual void | verify (const Request &)=0
| Checks a recipient address and asynchronously returns a GSmtp::VerifierStatus structure to indicate whether the address is a local mailbox, what the full name is, and the canonical address.
virtual G::Slot::Signal< Command, const VerifierStatus & > & | doneSignal ()=0
| Returns a signal that is emit()ed when the verify() request is complete.
virtual void | cancel ()=0
| Aborts any current processing.
virtual | ~Verifier ()=default
| Destructor.

## Detailed Description

An asynchronous interface that verifies recipient 'to' addresses.

This is used in the VRFY and RCPT commands in the smtp server protocol.

See also
  GSmtp::ServerProtocol

Definition at line 42 of file gverifier.h.

## Member Enumeration Documentation

## ◆ Command

enum class GSmtp::Verifier::Command
| strong

Definition at line 45 of file gverifier.h.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gverifier.h